Bug 795838 - Unusual underscore ('_') in dsc/scl names, use dash ('-')
Summary: Unusual underscore ('_') in dsc/scl names, use dash ('-')
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: scl-utils
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 796284
TreeView+ depends on / blocked
 
Reported: 2012-02-21 16:03 UTC by Jan Kratochvil
Modified: 2013-07-02 23:55 UTC (History)
6 users (show)

Fixed In Version: scl-utils-20120229-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-24 19:11:26 UTC


Attachments (Terms of Use)
Fix. (1.62 KB, patch)
2012-02-21 16:03 UTC, Jan Kratochvil
no flags Details | Diff

Description Jan Kratochvil 2012-02-21 16:03:51 UTC
Created attachment 564739 [details]
Fix.

Description of problem:
There are weird characters in the package names.

Version-Release number of selected component (if applicable):
scl-utils-build-20111214-1.el6.x86_64

How reproducible:
Always.

Steps to Reproduce:
cd devtoolset-1.0-gdb/devtoolset-1.0-rhel-6
rpmbuildlocal -bb gdb.spec --define 'scl devtoolset-1.0'

Actual results:
dsc_devtoolset-1.0_gdb-7.4.50.20120120-17.el6.x86_64.rpm
dsc_devtoolset-1.0_gdb-debuginfo-7.4.50.20120120-17.el6.x86_64.rpm
dsc_devtoolset-1.0_gdb-doc-7.4.50.20120120-17.el6.noarch.rpm
dsc_devtoolset-1.0_gdb-gdbserver-7.4.50.20120120-17.el6.x86_64.rpm

Expected results:
dsc-devtoolset-1.0-gdb-7.4.50.20120120-17.el6.x86_64.rpm
dsc-devtoolset-1.0-gdb-debuginfo-7.4.50.20120120-17.el6.x86_64.rpm
dsc-devtoolset-1.0-gdb-doc-7.4.50.20120120-17.el6.noarch.rpm
dsc-devtoolset-1.0-gdb-gdbserver-7.4.50.20120120-17.el6.x86_64.rpm

Additional info:

Comment 2 Fedora Update System 2012-03-06 09:11:48 UTC
scl-utils-20120229-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/scl-utils-20120229-1.el6

Comment 4 Fedora Update System 2012-03-06 19:33:09 UTC
Package scl-utils-20120229-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing scl-utils-20120229-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0690/scl-utils-20120229-1.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-03-24 19:11:26 UTC
scl-utils-20120229-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.